Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlField.RequiredStatus

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlField.RequiredStatus

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlField

    public static final class QSqlField.RequiredStatus

extends java.lang.Enum
implements QtEnumerator

Specifies whether the field is required or optional.

See also:
  `requiredStatus()`.

See Also:
  Serialized Form

Field Summary
`static QSqlField.RequiredStatus` | `Optional` The fields doesn't have to be specified when inserting records.
`static QSqlField.RequiredStatus` | `Required`
`static QSqlField.RequiredStatus` | `Unknown` The database driver couldn't determine whether the field is required or optional.

Method Summary
`static QSqlField.RequiredStatus` | `resolve(int value)` Returns the QSqlField$RequiredStatus constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlField.RequiredStatus` | `valueOf(java.lang.String name)`
`static QSqlField.RequiredStatus[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unknown

    public static final QSqlField.RequiredStatus Unknown

  The database driver couldn't determine whether the field is required or optional.

### Optional

    public static final QSqlField.RequiredStatus Optional

  The fields doesn't have to be specified when inserting records.

### Required

    public static final QSqlField.RequiredStatus Required

Method Detail

### values

    public static QSqlField.RequiredStatus[] values()

### valueOf

    public static QSqlField.RequiredStatus valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlField.RequiredStatus resolve(int value)

  Returns the QSqlField$RequiredStatus constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD